/*Begin of head for every patch*/
if exists(select * from "DBA"."subRegistry" WHERE registryid='System'and subregistryid='Patch')
then  
   Delete from SubRegistry where registryid='System'and subregistryid='Patch'
end if;
/*End of head for every patch*/

/* KWSP eCAP Contribution Option */
if not exists(select * from KeyWord where KeyWordId = 'KESPeCAPEE') then
	insert into KeyWord (KeyWordId,KeyWordDefaultName,KeyWordUserDefinedName,KeyWordCategory,KeyWordPropertySelection,KeyWordFormulaSelection,KeyWordRangeSelection,KeyWordDesc,KeyWordSubCategory,KeyWordSubProperty,KeyWordStage,KeyWordGroup)
	values('KESPeCAPEE','Employee Only','Employee Only','KWSPeCAPContriOpt',NULL,NULL,NULL,'',NULL,NULL,1,'');
end if;

if not exists(select * from KeyWord where KeyWordId = 'KESPeCAPER') then
	insert into KeyWord (KeyWordId,KeyWordDefaultName,KeyWordUserDefinedName,KeyWordCategory,KeyWordPropertySelection,KeyWordFormulaSelection,KeyWordRangeSelection,KeyWordDesc,KeyWordSubCategory,KeyWordSubProperty,KeyWordStage,KeyWordGroup)
	values('KESPeCAPER','Employer Only','Employer Only','KWSPeCAPContriOpt',NULL,NULL,NULL,'',NULL,NULL,2,'');
end if;

if not exists(select * from KeyWord where KeyWordId = 'KESPeCAPEEER') then
	insert into KeyWord (KeyWordId,KeyWordDefaultName,KeyWordUserDefinedName,KeyWordCategory,KeyWordPropertySelection,KeyWordFormulaSelection,KeyWordRangeSelection,KeyWordDesc,KeyWordSubCategory,KeyWordSubProperty,KeyWordStage,KeyWordGroup)
	values('KESPeCAPEEER','Both Employee & Employer','Both Employee & Employer', 'KWSPeCAPContriOpt',NULL,NULL,NULL,'',NULL,NULL,3,'');
end if;

/*Begin of tailor for every patch*/
INSERT into "DBA"."subRegistry"(registryid,subregistryid,IntegerAttr) values('System','Patch',1);
commit work;
/*End of tailor for every patch*/